iec16022(1)

NAME
iec16022 - program to generate 2d barcodes

SYNOPSIS
iec16022 [options]

DESCRIPTION
This manual page documents briefly the iec16022 command.

iec16022 generates 2d barcodes conforming to the ISO/IEC 16022 standard (which is also known as Data Matrix and Semacode).

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-s, --size WxH
    Sets the size of the generated barcode.

-c, --barcode text
    Specifies the text to be encoded.

--ecc 000|050|080|100|140|200
    Sets the type of ecc to be used.

-i, --infile filename
    Read input data from file.

-o, --outfile filenmae
    Save output to file (instead of standard output).

-f, --format Text|EPS|Bin|Hex|Stamp|PNG
    Set the output type.

-?, --help
    Show summary of options.

--usage
    Show short overview of options.

EXAMPLE
To produce a datamatrix barcode for foobar in PNG format you need the following arguments:

iec16022 -f PNG -c foobar -o foobar.png

AUTHOR
iec16022 was written by Adrian Kennard, Andrews & Arnold Ltd.

This manual page was written by Jan Luebbe <jluebbe@lasnet.de>, for the Debian project (but may be used by others).